import { getEnumValues } from '../../player/bean/InfoCode';
export class NetworkStats {
    constructor() {
        this.videoDownloadSpeedKbps = 0.0;
        this.audioDownloadSpeedKbps = 0.0;
        this.rttMs = 0;
        this.packetLossRatePercentage = 0;
        this.networkLevel = NetworkLevel.Network_UNKNOW;
    }
}
export var NetworkLevel;
(function (e34) {
    e34[e34["Network_UNKNOW"] = -1] = "Network_UNKNOW";
    e34[e34["Network_EXCELLEN"] = 0] = "Network_EXCELLEN";
    e34[e34["Network_GOOD"] = 1] = "Network_GOOD";
    e34[e34["Network_POOR"] = 2] = "Network_POOR";
    e34[e34["Network_BAD"] = 3] = "Network_BAD";
    e34[e34["Network_VERY_BAD"] = 4] = "Network_VERY_BAD";
    e34[e34["Network_DISCONNECTED"] = 5] = "Network_DISCONNECTED";
})(NetworkLevel || (NetworkLevel = {}));
export function findNetworkLevelByCode(b34) {
    const c34 = getEnumValues(NetworkLevel);
    for (const d34 of c34) {
        if (d34 === b34) {
            return d34;
        }
    }
    return NetworkLevel.Network_UNKNOW;
}
